Summary: A tool which will start a program on a virtual console.
Name: open
Version: 1.4
Release: 7
Copyright: GPL
Group: Applications/System
Source: ftp://sunsite.unc.edu/pub/Linux/utils/console/open-1.4.tar.gz
Patch: open-1.4-includes.patch
BuildRoot: /var/tmp/open-root

%description
The open command starts a specified command with the first available
virtual console, or on a virtual console that you specify.

Install the open package if you regularly use virtual consoles to run
programs.

%prep
%setup -q
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}

make BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT/usr/man/man1 install

strip $RPM_BUILD_ROOT/usr/bin/{open,switchto}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/open
/usr/bin/switchto
/usr/man/man1/open.1*
/usr/man/man1/switchto.1*

%changelog
* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man pages / new description

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- changed source url to ftp://...
- fixed braindeadness with NAME_MAX

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
